#!/bin/sh

PATCH_START()
{
#add your code here
sysctl -w net.ipv4.ipfrag_high_thresh=4194304 &>/dev/kmsg
sysctl -w net.ipv4.ipfrag_low_thresh=3145728 &>/dev/kmsg
rm -rf /tmp/ipfrag_high_thresh_default /tmp/ipfrag_low_thresh_default &>/dev/null
return
}

PATCH_END()
{
#add your code here
return
}

PATCH_ROLLBACK()
{
#add your code here
return
}

PATCH_ROLLEND()
{
#add your code here
return
}

L_CMD=$1
case $L_CMD in
    "start") PATCH_START
               ;;
    "end") PATCH_END
               ;;
    "rollstart") PATCH_ROLLBACK
               ;;
    "rollend") PATCH_ROLLEND
               ;;
    *)
        OS_echo "unsupported option."
esac
exit 0